#
# spec file for package libical
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libical
BuildRequires:  db-devel libtool pkg-config python-devel
Url:            http://sourceforge.net/projects/freeassociation/
License:        MPL ..
Group:          Development/Libraries/C and C++
Version:        0.46
Release:        1
Summary:        An Implementation of Basic iCAL Protocols
Source:         libical-%{version}.tar.bz2
Source2:        baselibs.conf
# libical-0.46-fix-race.patch gber@opensuse.org -- Fixes a race in populating builtin timezone components (from upstream svn)
Patch0:         libical-0.46-fix-race.patch
# libical-0.46-fix-fatal-error-macro-usage.patch sf#3140405 gber@opensuse.org -- Replace broken ICAL_ERRORS_ARE_FATAL preprocessor conditions with the correct check for the macros value
Patch1:         libical-0.46-fix-fatal-error-macro-usage.patch
# libical-0.46-fix-endless-loop.patch sf#3177380 gber@opensuse.org -- Fixes endless loop in recurrence calculation
Patch2:         libical-0.46-fix-endless-loop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libical0 = %{version}

%description
Libical is an open source implementation of the IETF's iCalendar
calendaring and scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%package -n libical0
License:        MPL ..
Summary:        An Implementation of Basic iCAL Protocols
Group:          Development/Libraries/C and C++
Provides:       libical = %{version}
Obsoletes:      libical < %{version}

%description -n libical0
Libical is an open source implementation of the IETF's iCalendar
calendaring and scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%package -n libical-devel
License:        MPL ..
Summary:        An implementation of basic iCAL protocols
Group:          Development/Libraries/C and C++
Requires:       libical = %{version}

%description -n libical-devel
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols. (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%package -n libical-doc
License:        MPL ..
Summary:        An Implementation of Basic iCAL Protocols
Group:          Development/Libraries/C and C++
Requires:       libical = %{version}

%description -n libical-doc
Libical is an open source implementation of the IETF's iCalendar
calendaring and scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%prep
%setup -q
%patch0 -p2
%patch1 -p2
%patch2 -p2

%build
# triger autoreconf since the 0.46 tarball is missing autotools bootstrap files
autoreconf -f -i
%{configure} \
	--with-bdb4 \
	--with-bdb4-dir=%{_prefix} \
	--without-builtintz \
	--enable-shared \
	--disable-static
%{__make} %{?_smp_mflags}

%install
%{makeinstall}
%{__rm} $RPM_BUILD_ROOT/%{_libdir}/libical*.la
%{__rm} doc/Makefile*
%{__rm} -rf examples/.deps
%{__rm} -rf examples/.libs
%{__rm} examples/*.o
%{__rm} examples/doesnothing
%{__rm} scripts/Makefile*
%{__sed} -i -e '1s,.*,#!/usr/bin/perl,' scripts/mkneticali.pl

%post -n libical0 -p /sbin/ldconfig

%postun -n libical0 -p /sbin/ldconfig

%files -n libical0
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS TEST THANKS TODO 
%{_libdir}/*.so.*

%files -n libical-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/libical.pc
%{_includedir}/ical.h
%{_includedir}/libical

%files -n libical-doc
%defattr(-,root,root)
%doc doc examples scripts

%changelog
